
Redmine - Defect #8108

Email reminders sent for closed issues

2011-04-08 22:33 - CM Gui

Status: Closed Start date: 2011-04-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 1.1.2

Description

Hi All

Our Redmine is sending email reminders for issues due in the next 7 days even for closed issues.   Hoping that version 1.1.2 would

fix this, we recently upgraded from 1.0.5 to 1.1.2 but we are still getting reminders for closed issues.

Anybody else has this problem?    Any solution?

Thank you very much in anticipation.

Gui

History

#1 - 2011-04-11 21:44 - Jean-Philippe Lang

I've just re-checked and this task never sent notifications for closed issues.

Are you sure that the status of these issues is marked as closed?

#2 - 2011-04-13 16:32 - CM Gui

Hi Jean

Thank you for the response.  Yes, we are getting email reminders for closed and even deleted issues.

Yes the status of the issues are marked as closed.

Gui

#3 - 2011-04-14 09:39 - Etienne Massip

- Category set to Email notifications

- Affected version (unused) set to 1.1.2

- Affected version set to 1.1.2

How are you running the reminder task ?

#4 - 2011-04-14 16:20 - CM Gui

- File statuses1.jpg added

Etienne Massip wrote:

How are you running the reminder task ?

 Thank you for the response.

Via a cron job

#!/bin/sh

cd /usr/local/www/redmine

/usr/local/bin/rake redmine:send_reminders days=7 RAILS_ENV="production"

attached is our issue statuses
#5 - 2011-04-14 17:03 - Etienne Massip

Could you post you app/models/mailer.rb file, please ?

#6 - 2011-04-14 18:35 - CM Gui

- File mailer.rb added

Attached is our mailer.rb file.

Thank you Etienne for looking into this.

Etienne Massip wrote:

Could you post you app/models/mailer.rb file, please ?

#7 - 2011-04-14 18:59 - Etienne Massip

Looks fine :|

Could you please try to run the rake command without the days=7 argument (default value is 7, btw) ?

Guess that won't change anything, though.

Is every closed issue (with due date within the 7 days) sent ?

#8 - 2011-04-14 20:29 - CM Gui

Okay I have removed to the @days=7 from the command in the script.

Cannot run the script now.  Cron job will run it tonight.  Will see if email reminders are still sent for closed issues.

No, the email reminders are not sent for all closed issues.  Sent for almost all closed issues, but not for some.  I cannot identify the pattern.

Etienne Massip wrote:

Looks fine :|

Could you please try to run the rake command without the days=7 argument (default value is 7, btw) ?

Guess that won't change anything, though.

Is every closed issue (with due date within the 7 days) sent ?

#9 - 2011-04-26 13:39 - Etienne Massip

Any news ?

What's your plugin list ?

#10 - 2011-11-28 06:12 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to No feedback

#11 - 2015-11-13 10:51 - Anonymous

We receive E-Mail reminders for closed tickets, too. I actually don't know how the emails are triggered. I did not add a cronjob for that. The only

cronjob that runs is:

*/5 * * * * wget -O - "http://127.0.0.1/helpdesk_mailer/get_mail?key=secret" 

 The ticket was closed on 10.11.2015.

The due date is 10.11.2015.

The email notification is sent every day (today is 13.11.2015)

My colleague receives mails with this parameters:

The ticket was closed on 04.11.2015

The due date is 04.11.2015

The email notification is sent every day (today is 13.11.2015)
We migrated on 04.11.2015 redmine from 2.3.3.stable to 3.1.1.stable

Issues that were closed before migration do not send notifications. According to /issue_statuses the status "Closed" is marked as "Issue closed".

Redmine info:

Environment:

  Redmine version                3.1.1.stable

  Ruby version                   2.1.5-p273 (2014-11-13) [x86_64-linux-gnu]

  Rails version                  4.2.4

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.10

  Git                            2.1.4

  Filesystem                     

Redmine plugins:

  redmine_contacts               4.0.3

  redmine_contacts_helpdesk      3.0.1

#12 - 2015-12-13 05:32 - Toshi MARUYAMA

Simeon Felis wrote:

We receive E-Mail reminders for closed tickets, too.

 FTR: #21227.

Files

statuses1.jpg 21.2 KB 2011-04-14 CM Gui

mailer.rb 18.1 KB 2011-04-14 CM Gui
